package com.emr.service.emrCode;

import com.emr.entity.emrCode.T_Diag;
import com.emr.entity.emrCode.T_Operate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DiagService {
    List<T_Diag> selectAllByPatientId(@Param("patientId")String patientId, @Param("diagNo")Short diagNos);

    int insert(T_Diag record);

    void updateByPrimaryKeySelective(T_Diag record);

    void deleteDiagByPatientIdAndDiagNo(String patientId,Short diagNo);

    void addDiagCode(String patientId,String diagNos,String diagNames,String diagCodes,String inhospstats);
}
